<?php 

Class VstEnlace{
	protected $_etiqueta;
	protected $_controller;
	protected $_accion;
	
	public function __construct($etiqueta ,$controller, $accion){
		$this->_etiqueta = $etiqueta;
		$this->_controller= $controller;
		$this->_accion = $accion;
	}
	
	public function getController(){
		return $this->_controller;
	}
	public function getAction(){
		return $this->_accion;
	}
	
	public function render(){
		return '<a href="'.BASEURL.'/'. $this->_controller .'/'.$this->_accion .'"><i class="fa fa-lg fa-fw "><span class="glyphicon glyphicon-heart"></span></i> <span class="menu-item-parent">'.$this->_etiqueta.'</span></a>';
		
		
	}
	
	public function activo(){
		return ($this->_accion == ACTION && $this->_controller == CONTROLLER);
	}
}